/* arch/arm/mach-s3c2410/tomtomgo-devs.h
 *
 * Declarations of TomTom GO platform devices.
 *
 * Copyright (C) 2004,2005 TomTom BV <http://www.tomtom.com/>
 * Author: Dimitry Andric <dimitry.andric@tomtom.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __ARCH_ARM_MACH_S3C2410_TOMTOMGO_DEVS_H
#define __ARCH_ARM_MACH_S3C2410_TOMTOMGO_DEVS_H

#include <linux/config.h>
#include <linux/device.h>

//#if defined CONFIG_BARCELONA_IDE || defined CONFIG_BARCELONA_IDE_MODULE
extern struct platform_device tomtomgo_device_ide;
//#endif /* CONFIG_BARCELONA_IDE || CONFIG_BARCELONA_IDE_MODULE */

#if defined CONFIG_BARCELONA_HW || defined CONFIG_BARCELONA_HW_MODULE
extern struct platform_device tomtomgo_device_hw;
#endif /* CONFIG_BARCELONA_HW || CONFIG_BARCELONA_HW_MODULE */

#if defined CONFIG_BARCELONA_ADC || defined CONFIG_BARCELONA_ADC_MODULE
extern struct platform_device tomtomgo_device_adc;
#endif /* CONFIG_BARCELONA_ADC || CONFIG_BARCELONA_ADC_MODULE */

#if defined CONFIG_BARCELONA_ACC || defined CONFIG_BARCELONA_ACC_MODULE
extern struct platform_device tomtomgo_device_acc;
#endif /* CONFIG_BARCELONA_ACC || CONFIG_BARCELONA_ACC_MODULE */

#if defined CONFIG_BARCELONA_BAT || defined CONFIG_BARCELONA_BAT_MODULE
extern struct platform_device tomtomgo_device_bat;
#endif /* CONFIG_BARCELONA_BAT || CONFIG_BARCELONA_BAT_MODULE */

#if defined CONFIG_BARCELONA_GPIO || defined CONFIG_BARCELONA_GPIO_MODULE
extern struct platform_device tomtomgo_device_gpio;
#endif /* CONFIG_BARCELONA_GPIO || CONFIG_BARCELONA_GPIO_MODULE */

#if defined CONFIG_BARCELONA_GPS || defined CONFIG_BARCELONA_GPS_MODULE
extern struct platform_device tomtomgo_device_gps;
#endif /* CONFIG_BARCELONA_GPS || CONFIG_BARCELONA_GPS_MODULE */

#if defined CONFIG_BARCELONA_PWM || defined CONFIG_BARCELONA_PWM_MODULE
extern struct platform_device tomtomgo_device_pwm;
#endif /* CONFIG_BARCELONA_PWM || CONFIG_BARCELONA_PWM_MODULE */

#if defined CONFIG_BARCELONA_RC || defined CONFIG_BARCELONA_RC_MODULE
extern struct platform_device tomtomgo_device_rc;
#endif /* CONFIG_BARCELONA_RC || CONFIG_BARCELONA_RC_MODULE */

#if defined CONFIG_BARCELONA_SD || defined CONFIG_BARCELONA_SD_MODULE
extern struct platform_device tomtomgo_device_sd;
#endif /* CONFIG_BARCELONA_SD || CONFIG_BARCELONA_SD_MODULE */

#if defined CONFIG_BARCELONA_TS || defined CONFIG_BARCELONA_TS_MODULE
extern struct platform_device tomtomgo_device_ts;
#endif /* CONFIG_BARCELONA_TS || CONFIG_BARCELONA_TS_MODULE */

#endif /* __ARCH_ARM_MACH_S3C2410_TOMTOMGO_DEVS_H */

/* EOF */
